<?php


/**
 * This class adds structure of 'katao_config' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoConfigMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoConfigMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_config');
		$tMap->setPhpName('KataoConfig');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_MEMBER_ID', 'KataoMemberId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', false, null);

		$tMap->addColumn('NAME', 'Name', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('ADDRESS', 'Address', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('PHONE', 'Phone', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('EMAIL', 'Email', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('SIRET_NUMBER', 'SiretNumber', 'string', CreoleTypes::CHAR, true, 14);

		$tMap->addColumn('TVA_NUMBER', 'TvaNumber', 'string', CreoleTypes::CHAR, true, 13);

		$tMap->addColumn('RCS_NUMBER', 'RcsNumber', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('CAPITAL', 'Capital', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('INITIAL_TRANSACTIONS_COUNT', 'InitialTransactionsCount', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('INITIAL_TRANSACTIONS_SUM', 'InitialTransactionsSum', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('DEFAULT_PRODUCT_PICTURE', 'DefaultProductPicture', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('DEFAULT_PRODUCT_MARGIN', 'DefaultProductMargin', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('DEFAULT_PRODUCT_SOL_PERCENT', 'DefaultProductSolPercent', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('MAILING_LIST_EMAIL', 'MailingListEmail', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CART_VALIDATION_DAYS_NUMBER', 'CartValidationDaysNumber', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('ACCOUNTING_CODE_PREFIX_PURCHASE', 'AccountingCodePrefixPurchase', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_PREFIX_SELL', 'AccountingCodePrefixSell', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_BANK', 'AccountingCodeBank', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_BANK_SOL', 'AccountingCodeBankSol', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_CREDIT', 'AccountingCodeCredit', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_ERROR_ADJUSTMENT_POSITIVE', 'AccountingCodeErrorAdjustmentPositive', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_ERROR_ADJUSTMENT_NEGATIVE', 'AccountingCodeErrorAdjustmentNegative', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_SOL_DISCOUNT', 'AccountingCodeSolDiscount', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_FEES_SHIPPING', 'AccountingCodeFeesShipping', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_FEES_BILLING', 'AccountingCodeFeesBilling', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('ACCOUNTING_CODE_DISCOUNT', 'AccountingCodeDiscount', 'string', CreoleTypes::VARCHAR, true, 12);

		$tMap->addColumn('MEMBER_FEE', 'MemberFee', 'double', CreoleTypes::FLOAT, false, null);

		$tMap->addColumn('ADDITIONAL_CURRENCY_NAME', 'AdditionalCurrencyName', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('DEBUG_EMAIL', 'DebugEmail', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('BANK_NAME', 'BankName', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('BANK_ACCOUNT', 'BankAccount', 'string', CreoleTypes::VARCHAR, false, 255);

	} // doBuild()

} // KataoConfigMapBuilder
